Bug 186374 - Uninformative error messages
Uninformative error messages
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 03:44 EST by Nils Philippsen
Modified: 2008-05-06 11:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2006-03-23 03:44:19 EST
Description of problem:

When forgetting the group password or when a vpnc is already started (manually),
the error message of NM-vpnc doesn't really hint at the real problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Try to establish VPN connection with NM-vpnc
2a. Forget group password, or:
2b. supply group password, but have a manually started vpnc
Actual results:
Uninformative error message, similar to the log message (couldn't capture it
because the balloon vanished quickly and cut'n'paste wasn't possible:

Mar 23 09:41:16 gibraltar NetworkManager: <WARNING>     
nm_vpn_service_process_signal (): VPN failed for service
'org.freedesktop.NetworkManager.vpnc', signal 'LaunchFailed', with message 'The
VPN login failed because the VPN program could not be started.'.

Manually started /usr/bin/nm-vpnc-service gives in case of 2a.:

** (process:3369): CRITICAL **: nm_vpnc_config_write: assertion `num_passwords
== 2' failed
/usr/sbin/vpnc: missing IPSec gatway address

** (process:3369): WARNING **: <WARNING>         vpnc_watch_cb (): vpnc exited
with error code 1

in the case of 2b.:

/usr/sbin/vpnc: binding to port 4500: Address already in use

** (process:3733): WARNING **: <WARNING>         vpnc_watch_cb (): vpnc exited
with error code 1

Expected results:
Informative error messages "You possibly forgot your group password" or
"Couldn't bind to port 4500, do you have other VPN software running?"

Additional info:
Comment 1 Denis Leroy 2006-09-28 19:38:16 EDT
Taking ownership.
Comment 2 petrosyan 2008-03-10 22:34:39 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 3 Bug Zapper 2008-04-03 22:12:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:36:51 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.